# Response Format

The REST API returns the following fields and values.

| Name    | Type       | Description                                                                     |
| ------- | ---------- | ------------------------------------------------------------------------------- |
| code    | String     | Query result status code                                                        |
| message | String     | If the request is successful, the content is success                            |
| data    | JsonObject | The returned data field. If the request fails, please refer to the status code. |

#### data Response

<table><thead><tr><th width="253">Name</th><th>Description</th></tr></thead><tbody><tr><td>country</td><td>Country name.</td></tr><tr><td>country_code</td><td>Two-character country code based on ISO 3166.</td></tr><tr><td>region</td><td>Region or state name.</td></tr><tr><td>city</td><td>City name.</td></tr><tr><td>latitude</td><td>City latitude. Defaults to capital city latitude if city is unknown.</td></tr><tr><td>longitude</td><td>City longitude. Defaults to capital city longitude if city is unknown.</td></tr><tr><td>isp</td><td>Internet Service Provider or company's name.</td></tr><tr><td>time_zone</td><td>Current region's time zone.</td></tr><tr><td>area_code</td><td>A varying length number assigned to geographic areas for calls between cities.</td></tr><tr><td>postal</td><td>ZIP/Postal code.</td></tr><tr><td>weather_station_code</td><td>The special code to identify the nearest weather observation station.</td></tr><tr><td>elevation</td><td>Average height of city above sea level in meters (m).</td></tr><tr><td>currency</td><td>Currency of the country.</td></tr><tr><td>eu_member</td><td>Whether it belongs to the European Union.</td></tr><tr><td>country_capital</td><td>The name of the current country's capital.</td></tr><tr><td>radius</td><td>The current query positioning radius.</td></tr><tr><td>is_proxy</td><td>Whether it is a proxy IP.</td></tr><tr><td>risk_label</td><td>Possible risky behavior labels.</td></tr><tr><td>risk_score</td><td>The security score of the IP address, the higher the score, the more dangerous it is.</td></tr><tr><td>risk_level</td><td>The risk level is defined based on the risk score.</td></tr><tr><td>ip_usage_type</td><td>IP address usage types, including:<br>Data center（IDC）<br>Home broadband (ISP)<br>Commercial(GTW)<br>Government(GOV)<br>Education(EDU)<br>Content distribution(CDN)<br>Mobile network(MOB)<br>Reserved(BOGON)</td></tr><tr><td>asn</td><td>Autonomous system number (ASN).</td></tr><tr><td>asn_domain</td><td>The domain name associated with the Autonomous System Number (ASN).</td></tr><tr><td>asn_organization</td><td>Autonomous System Number (ASN) Owner.</td></tr><tr><td>asn_type</td><td>Autonomous System Number (ASN) usage types:<br>Home broadband (ISP)<br>Hosting（IDC）<br>Education(EDU)<br>Government(GOV)<br>Commercial(GTW)</td></tr><tr><td>asn_country</td><td>Autonomous System Number (ASN) Country.</td></tr><tr><td>carrier_mcc</td><td>Mobile Country Codes (MCC) as defined in ITU E.212 for use in identifying mobile stations in wireless telephone networks, particularly GSM and UMTS networks.</td></tr><tr><td>carrier_mnc</td><td>Mobile Network Code (MNC) is used in combination with a Mobile Country Code (MCC) to uniquely identify a mobile phone operator or carrier.</td></tr><tr><td>carrier_name</td><td>The name of the mobile operator.</td></tr><tr><td>domains_total</td><td>The number of domain names associated with the IP.</td></tr><tr><td>domains_name</td><td>The domain name associated with the IP.</td></tr></tbody></table>

```
Code example
```

```
{
    "code": 200,
    "data": {
        "ip_info": {
            "ip": "63.105.0.0",
            "version": "V4",
            "country_code": "US",
            "country": "United States",
            "region": "New York",
            "city": "New York City",
            "isp": "Verizon Business",
            "longitude": "-74.005970",
            "latitude": "40.714270",
            "time_zone": "America/New_York",
            "area_code": "+1",
            "postal": "10001",
            "weather_station_code": "usw00094728",
            "elevation": "﹢10",
            "currency": "US",
            "eu_member": "true",
            "country_capital": "Washington, D.C",
            "radius": "7",
            "asn": "AS701",
            "asn_domain": "verizon.com",
            "asn_organization": "Verizon Business",
            "asn_type": "DYN",
            "asn_country": "US",
            "risk_level": "low",
            "is_proxy": "false",
            "risk_score": "0",
            "risk_label": "-",
            "ip_usage_type": "Fixed Line ISP",
            "carrier_mcc": "310",
            "carrier_mnc": "004",
            "carrier_name": "Verizon Business",
            "domains_total": "",
            "domains_name": ""
        },
        "search_count": 0
    },
    "msg": "success"
}
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ipnews.io/web-services-documentation/response-format.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
